%global         pypi_name      anesthetic

Name:           python-anesthetic
Version:        2.9.1
Release:        %mkrel 2
Summary:        A toolbox for processing nested sampling chains
License:        MIT
Group:          Development/Python
URL:            https://pypi.python.org/pypi/anesthetic
Source0:        %{pypi_source}

BuildArch:      noarch

%description
Anesthetic is a python package for processing nested and Monte-Carlo Markov
chains. It allows for computation of Bayesian evidences,
Kullback-Liebler divergences and Bayesian model dimensionalities. It also outputs
marginalised 1D and 2D plots.

%package -n python3-anesthetic
Summary:        Python3 implementation of Anesthetic
Group:          Development/Python
%{?python_provide:%python_provide python3-anesthetic}
BuildRequires:  python3
BuildRequires:  python3dist(setuptools)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(matplotlib)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pandas)
BuildRequires:  python3dist(scipy)
Requires:       python3-numpy
Requires:       python3-scipy
Requires:       python3-pandas
Provides:       anesthetic = %{version}-%{release}

%description -n python3-anesthetic
Anesthetic is a python package for processing nested and Monte-Carlo Markov
chains. It allows for computation of Bayesian evidences,
Kullback-Liebler divergences and Bayesian model dimensionalities. It also outputs
marginalised 1D and 2D plots.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

# Remove bundled egg-info
%__rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files anesthetic

%files -n python3-anesthetic -f %{pyproject_files}
%{_bindir}/anesthetic
%doc README.rst



%changelog
* Mon Mar 03 2025 wally <wally> 2.9.1-2.mga10
+ Revision: 2159595
- rebuild for python3.13

* Mon Dec 09 2024 eatdirt <eatdirt> 2.9.1-1.mga10
+ Revision: 2123184
- Update to version 2.9.1

* Tue Sep 10 2024 eatdirt <eatdirt> 2.8.14-1.mga10
+ Revision: 2094911
- Relax strict versionning
- Update to version 2.8.14

* Sat May 04 2024 eatdirt <eatdirt> 2.8.12-1.mga10
+ Revision: 2062092
- Update to version 2.8.12

* Wed Dec 27 2023 papoteur <papoteur> 2.4.2-2.mga10
+ Revision: 2022555
- rebuild for python 3.12

* Wed Oct 18 2023 eatdirt <eatdirt> 2.4.2-1.mga10
+ Revision: 1998853
- imported package python-anesthetic

